* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Inter', sans-serif;
  background: #faf5ea;
  color: #333;
}

/* TOP BAR */
.top-bar {
  background: #2f5d5b;
  color: white;
  text-align: center;
  padding: 8px;
  font-size: 20px;
}

/* HEADER */
.header {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 250px;
}

.header img {
  max-height: 400px;
  width: auto;
}

/* HERO */
.hero {
  max-width: 2000px;
  margin: 0 auto;
  padding: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.text{
  text-align: center;
}

.image-box {
  width: 100%;
  max-width: 2000px;
  height: auto;
  overflow: visible;
}

.image-box img {
  width: 100%;
  height: 100%;
  
}

/* POSTS */
.posts {
  display: grid;
  grid-template-columns: repeat(3, auto);
  
  justify-content: center;
  padding: 40px 30px;
  gap: 150px;
  
}

.post{
    
  max-width: 500px;
  width: 100%;
  height: auto;
  


}

.post img {
  width: 100%;
  height: auto;
  display: block;
}

.category {
  font-size: 18px;
  
  color: #777;
  display: block;
  margin: 10px 0;
}

/* EDITORIAL */
.editorial {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 60px;
  gap: 40px;
  background: #fff;
}

.editorial img{
  max-width: 500px;
  max-height: 200px;
}
.editorial h2 {
  font-family: 'Playfair Display', serif;
}

/* BANNER */
.banner {
  height: 300px;
  background: linear-gradient(to right, #f3c6d3, #e7d7f5);
  display: flex;
  justify-content: center;
  align-items: center;
}

.banner h2 {
  font-family: 'Playfair Display', serif;
  font-size: 48px;
  color: white;
}

/* IMAGE GRID */
.image-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  padding: 40px;
  gap: 20px;
}

/* SHOP */
.shop {
  background: #f6f2ef;
  padding: 80px 40px;
  text-align: center;
}

.shop h2 {
  font-size: 18px;
  letter-spacing: 2px;
  color: #2f5d5b;
  margin-bottom: 50px;
}

.shop-grid {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  gap: 30px;
  max-width: 1200px;
  margin: 0 auto;
}

.shop-grid img {
  width: 100%;
  background: #fff;
  padding: 15px;
  box-shadow: 0 6px 12px rgba(0,0,0,0.12);
}

/* NEWSLETTER */
.newsletter {
  background: #d9b7d9;
  padding: 40px;
  display: flex;
  justify-content: center;
  gap: 10px;
}

.newsletter input {
  padding: 10px;
  border: none;
  width: 250px;
}

.newsletter button {
  padding: 10px 20px;
  border: none;
  background: #333;
  color: white;
  cursor: pointer;
}

/* FOOTER */
.footer {
  background: #2f5d5b;
  color: #fff;
  padding: 70px 60px 40px;
  font-size: 14px;
}

.footer-top {
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  gap: 60px;
}

.footer-logo {
  font-family: 'Playfair Display', serif;
  font-size: 28px;
  margin-bottom: 20px;
}

.footer-left p {
  max-width: 520px;
  line-height: 1.7;
}

.footer-links {
  display: grid;
  grid-template-columns: repeat(2, auto);
  gap: 10px 40px;
  margin-bottom: 30px;
}

.footer-links a {
  color: #fff;
  text-decoration: none;
  font-size: 13px;
}

.footer-links a:hover {
  text-decoration: underline;
}

.social span {
  margin-right: 15px;
  font-size: 16px;
  cursor: pointer;
}

.footer-bottom {
  margin-top: 50px;
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  opacity: 0.9;
}
.image-shop a img {
  cursor: pointer;
  transition: transform 0.3s ease;
}

.image-shop a img:hover {
  transform: scale(1.03);
}


@media (max-width: 768px) {

  /* HERO */
  .hero {
    padding: 0;
  }

  /* POSTS */
  .posts {
    display: block;
    padding: 0;
  }

  .post {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 16px;
    padding: 20px;
    border-bottom: 1px solid #eee;
  }

  .post-image img {
    width: 100%;
    height: auto;
    display: block;
  }

  .post-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .category {
    font-size: 14px;
  }

  .post h3 {
    font-size: 1.1rem;
    line-height: 1.4;
  }
  .shop-grid{
    grid-template-columns: 1fr;
    
  }
  .shop-grid img{
    width: 100%;
    max-width: 100%;
  }
}

@media (max-width: 600px) {

  .post {
    grid-template-columns: 1fr;
  }
 .hero {
    flex-direction: column; /* 👈 uma embaixo da outra */
    padding: 20px;
  }

  .image-box {
    width: 100%;
    max-width: 100%;
  }

  .image-box img {
    width: 100%;
    height: auto;
  }
}

